Retrieves all the article categories

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_category
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

parent_id

Parent Article Category (Parent / Child)

globally unique identifier
parent_code

Embedded entity "article_category" for parent using ERP PK when adding/updating article_category

string
parent_article_category

Embedded entity "article_category" for parent when adding/updating article_category

article_category
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

name

Name of the article category

string

Required

Max length: 50

modified_dateutc

Readonly system field managed by the database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "5ad90238-09d1-4153-aa14-b6875d7f8386",
  "parent_id": "8619e736-d5b5-4946-b899-78122fa57e9e",
  "parent_code": "sample string 3",
  "code": "sample string 4",
  "name": "sample string 5",
  "modified_dateutc": "2026-07-17T13:30:53.6266647+00:00"
}